FROM ubuntu:24.04
RUN apt-get update && apt-get install -y \
    build-essential \
    cmake \
    git \
    python3-pip \
    python3-venv \
    libglib2.0-0 \
    libgl1
RUN python3 -m venv /venv
RUN /venv/bin/pip install torch torchvision torchaudio -i https://download.pytorch.org/whl/cu121
ADD requirements.txt /tmp/requirements.txt
RUN /venv/bin/pip install --upgrade pip
RUN /venv/bin/pip install -r /tmp/requirements.txt
